backend:
  name: git-gateway
  branch: master
publish_mode: editorial_workflow
media_folder: public/images
public_folder: images
site_url: https://cjtdevs.com

collections:
  - label: Pages
    name: pages
    files:
      - label: Home
        name: home
        file: content/pages/home.md
        preview_path: /
        fields:
          - { label: Background, name: home_bg, widget: image }
          - label: "Call To Action"
            name: home_call_to_action
            widget: object
            fields:
              - label: Lines
                name: hcta_lines
                widget: list
                fields:
                  - { label: Line, name: hcta_line, widget: string }
              - label: Buttons
                name: hcta_buttons
                widget: list
                fields:
                  - label: Button
                    name: hcta_button
                    widget: object
                    fields:
                      - { label: Text, name: hcta_button_text, widget: string }
                      - { label: Link, name: hcta_button_link, widget: string }
          - label: Actions
            name: home_actions
            widget: list
            fields:
              - label: Action
                name: ha_action
                widget: object
                fields:
                  - { label: Text, name: ha_action_text, widget: string }
                  - { label: Image, name: ha_action_image, widget: image }
          - label: Links
            name: home_links
            widget: list
            fields:
              - label: Link
                name: hl_link
                widget: object
                fields:
                  - { label: Text, name: hl_link_text, widget: string }
                  - { label: Link, name: hl_link_nav, widget: string }
                  - { label: Image, name: hl_link_image, widget: image }
      - label: About
        name: about
        file: content/pages/about.md
        preview_path: /about
        fields:
          - { label: Background, name: background, widget: image }
          - { label: Title, name: title, widget: string }
          - label: Info Section
            name: info
            widget: list
            fields:
              - { label: Title, name: title, widget: string }
              - { label: Text, name: text, widget: string }
          - label: Meet Us
            name: meetus
            widget: object
            fields:
              - { label: Title, name: title, widget: string }
              - label: Devs
                name: devs
                widget: list
                fields:
                  - { label: Name, name: name, widget: string }
                  - { label: Pic, name: pic, widget: image }
                  - label: Titles
                    name: titles
                    widget: list
                    fields:
                      - { label: Title, name: title, widget: string }
                  - label: Links
                    name: links
                    widget: list
                    required: false
                    fields:
                      - { label: Text, name: text, widget: string }
                      - { label: Link, name: link, widget: string }
                  - { label: Quote, name: quote, widget: string, required: false }
          - label: Extra
            name: extra
            widget: object
            fields:
              - { label: Title, name: title, widget: string }
              - { label: Text, name: text, widget: string }
      - label: Services
        name: services
        file: content/pages/services.md
        preview_path: /sevices
        fields:
          - { label: Background, name: background, widget: image }
          - { label: Title, name: title, widget: string }
          - label: Sections
            name: sections
            widget: list
            fields:
              - { label: Title, name: title, widget: string }
              - { label: Pic, name: pic, widget: image }
              - { label: Text, name: text, widget: string }
              - { label: Button Text, name: button, widget: string }
              - { label: Section Tag, name: tag, widget: string }
          - { label: Contact Title, name: contactTitle, widget: string }
      - label: Contact
        name: contact
        file: content/pages/contact.md
        preview_path: /contact
        fields:
          - { label: Background, name: background, widget: image }
          - { label: Title, name: title, widget: string }
          - { label: Sub Title, name: subTitle, widget: string }
          - { label: Content, name: content, widget: string }
      - label: Clients
        name: clients
        file: content/pages/clients.md
        preview_path: /clients
        fields:
          - { label: Background, name: background, widget: image }
          - { label: Title, name: title, widget: string }
          - { label: Content, name: content, widget: string }
          - label: Clients
            name: clients
            widget: list
            fields:
              - { label: Title, name: title, widget: string }
              - { label: Link, name: link, widget: string }
              - { label: Pic, name: pic, widget: image }
              - {
                  label: Testimonial,
                  name: testimonial,
                  widget: string,
                  required: false,
                }
              - { label: Author, name: author, widget: string, required: false }
      - label: Blogs
        name: blog
        file: content/pages/blog.md
        preview_path: /blog
        fields:
          - { label: Title, name: title, widget: string }
          - { label: Sub Title, name: subTitle, widget: string }
      - label: Payments
        name: payments
        file: content/pages/payments.md
        fields: 
          - { label: Title, name: title, widget: string }
          - { label: Sub Title, name: subTitle, widget: string }
          - { label: Description, name: description, widget: string }
          - label: Types 
            name: types 
            widget: object 
            fields: 
              - { label: "One Time", name: oneTime, widget: string }
              - { label: "Subscription", name: subscription, widget: string } 
          - label: Subscription Types 
            name: subcription
            widget: object 
            fields: 
              - { label: "Monthly", name: monthly, widget: string }
              - { label: "Quarterly", name: quarterly, widget: string }
              - { label: "Yearly", name: yearly, widget: string } 
  - label: Components
    name: components
    files:
      - label: Header
        name: header
        file: content/components/header.md
        preview_path: /
        fields:
          - { label: Logo, name: logo, widget: image }
      - label: Footer
        name: footer
        file: content/components/footer.md
        preview_path: /
        fields:
          - label: Quick links
            name: quick
            widget: object
            fields:
              - { label: Title, name: title, widget: string, required: false }
              - label: Links
                name: links
                widget: list
                fields:
                  - { label: Text, name: text, widget: string }
                  - { label: Link, name: link, widget: string }
          - label: Middle links
            name: middle
            widget: object
            fields:
              - { label: Title, name: title, widget: string, required: false }
              - label: Links
                name: links
                widget: list
                fields:
                  - { label: Text, name: text, widget: string }
                  - { label: Link, name: link, widget: string }
          - label: Social Media
            name: social
            widget: object
            fields:
              - { label: Title, name: title, widget: string, required: false }
              - label: Links
                name: links
                widget: list
                fields:
                  - { label: Pic, name: pic, widget: image }
                  - { label: Text, name: text, widget: string }
                  - { label: Link, name: link, widget: string }
              - label: Email
                name: email
                widget: object
                fields:
                  - { label: Pic, name: pic, widget: image }
                  - { label: Text, name: text, widget: string }
              - label: Phone
                name: phone
                widget: object
                fields:
                  - { label: Pic, name: pic, widget: image }
                  - { label: Text, name: text, widget: string }
      - label: Contact
        name: contact
        file: content/components/contact.md
        preview_path: /contact
        fields:
          - { label: Email, name: email, widget: string }
          - { label: Subject, name: subject, widget: string }
          - { label: Message, name: message, widget: string }
          - { label: Button, name: button, widget: string }
          - label: Reponse
            name: response
            widget: object
            fields:
              - { label: Success, name: success, widget: string }
              - { label: Recaptcha, name: recaptcha, widget: string }
              - { label: Error, name: error, widget: string }
  - label: Blogs
    name: blogs
    folder: content/blogs
    create: true
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Sub Title", name: "subTitle", widget: "string" }
      - { label: "Author", name: "author", widget: "string" }
      - { label: "Publish Date", name: "date", widget: "datetime" }
      - { label: "Featured Image", name: "img", widget: "image" }
      - { label: "Body", name: "body", widget: "markdown" }
  - label: Legal
    name: legal
    folder: content/legal
    create: true
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Publish Date", name: "date", widget: "datetime" }
      - { label: "Body", name: "body", widget: "markdown" }
